<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="/">
  <html><body>
    <table border="1">
      <tr><td/><xsl:apply-templates select="//work"/></tr>
      <xsl:apply-templates select="//lemma-var"/>
    </table>
  </body></html>
</xsl:template>

<xsl:template match="work">
  <td colspan="2"><xsl:value-of select="text()"/></td>
</xsl:template>

<xsl:template match="lemma-var">
  <tr>
    <td><xsl:value-of select="lem-title/text()"/></td>
    <xsl:call-template name="workdata"/>
  </tr>
</xsl:template>

<xsl:template name="workdata">
  <xsl:param name="nr" select="1"/>
  <td><xsl:value-of select="work-data[@work=/planning/work[$nr]/@id]/@volume"/></td>
  <td><xsl:value-of select="work-data[@work=/planning/work[$nr]/@id]/@importance"/></td>
  <xsl:if test="$nr &lt; count(/planning/work)">
    <xsl:call-template name="workdata">
      <xsl:with-param name="nr" select="$nr+1"/>
    </xsl:call-template>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
